Vla-addcustomobject

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-addcustomobject vla-object ClassName)


機能
カスタム オブジェクトを作成する。


引数
  • vla-object … 生成する空間のVLAオブジェクト
  • ClassName … カスタム オブジェクトのクラス名を表す文字列。rxClassName を ARX アプリケーションで定義しなかった場合、メソッドは異常終了する。


戻り値
新しく作成されるカスタム オブジェクト のVLAオブジェクト


  • 注意
AutoCAD では rxClassName カスタム クラスを定義する ObjectARX DLL をロードしなければならない。Application オブジェクトで LoadARX メソッドを使用して、ObjectARX ファイルを明示的にロードする。


サンプル
(vl-load-com)
(defun c:Example_AddCustomObject()
    ;; モデル空間にカスタムオブジェクトを作成するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ; ARXのDLL読み込み
    (vla-LoadArx acadObj "MyARXApp.dll")

    ; MyNewObject でカスタムオブジェクトを追加    
    (setq customObj (vla-AddCustomObject (vla-get-ModelSpace doc) "MyNewObject"))
)


関連事項